@import "../../../../../styles/_var.scss";

:host {
  display: flex;
}

.user-button-container {
  position: relative;
  display: flex;

  .user-button {
    height: 100%;
    min-width: 72px;

    .avatar-container {
      position: relative;

      .avatar {
        width: 40px;
        height: 40px;
        border-radius: 50%;
      }

      .status {
        position: absolute;
        top: 0;
        right: 0;
        width: 10px;
        height: 10px;
        border: 1px solid white;
        border-radius: 50%;

        &.primary {
          background: mat-color($color-primary);
        }
      }
    }

    .name {
      margin: 0 8px 0 10px;
    }

    .icon {
      width: 16px;
      height: 16px;
      font-size: 16px;
      transform: rotate(0);
      transition: transform .25s cubic-bezier(.25,.8,.25,1);
    }

    &.open {
      background: rgba(0, 0, 0, .05);

      .icon {
        transform: rotate(-180deg);
      }
    }
  }

  .dropdown {
    background: white;
    position: absolute;
    color: $color__text-darker;
    top: $height__toolbar;
    right: 0;
    width: 100%;
    min-width: 170px;
    z-index: -1;
    transform: translateY(-110%);
    visibility: hidden;
    transition: transform .4s cubic-bezier(.25,.8,.25,1), visibility .4s cubic-bezier(.25,.8,.25,1);

    .content {
      .list {

        .item {
          height: 48px;
          padding: 0 16px;
          position: relative;
          cursor: pointer;

          .icon {
            padding-right: 12px;
          }

          .title {

          }

          &:hover {
            background: $layout-beta__background-color__sidenav-item__level1__hover;
          }
        }
      }
    }

    &.open {
      transform: translateY(0);
      visibility: visible;
    }
  }
}
